Update KPI dashboard
PUT
/api/v1/analytics/kpi-dashboards/{dashboard_id}
const url = 'https://api.ultimateteam.ai/api/v1/analytics/kpi-dashboards/example';const options = { method: 'PUT', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"chart_config":{},"date_range_preset":"example","filters":{},"metric_ids":["example"],"name":"example","sort_order":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.ultimateteam.ai/api/v1/analytics/kpi-dashboards/example \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "chart_config": {}, "date_range_preset": "example", "filters": {}, "metric_ids": [ "example" ], "name": "example", "sort_order": 1 }'Update a custom KPI dashboard.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”dashboard_id
required
Dashboard Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CustomKpiDashboardUpdate
Schema for updating an existing custom KPI dashboard.
All fields are optional; only provided fields are updated.
object
Examplegenerated
{ "chart_config": {}, "date_range_preset": "example", "filters": {}, "metric_ids": [ "example" ], "name": "example", "sort_order": 1}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Update Kpi Dashboard Api V1 Analytics Kpi Dashboards Dashboard Id Put
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}